# SHIMO's racoon.conf

# "path" must be placed before it is used.
# You can overwrite what you defined, but it should not be used due to confusion.
path include "###TEMPDIRPATH###" ;

# search this file for pre_shared_key with various ID key.
path pre_shared_key "###TEMPDIRPATH###psk.txt" ;

# racoon will look for certificate file in the directory,
# if the certificate/certificate request payload is received.
path certificate "/etc/cert" ;

# "log" specifies logging level.  It is followed by either "notify", "debug"
# or "debug2".
#log debug;

# "padding" defines some parameter of padding.  You should not touch these.
padding
{
	maximum_length 20;	# maximum padding length.
	randomize on;		# enable randomize length.
	strict_check off;	# enable strict check.
	exclusive_tail on;	# extract last one octet.
}

# Specification of default various timer.
timer
{
	# These values can be changed per remote node.
	counter 10;		# maximum trying count to send.
	interval 3 sec;	# interval to resend (retransmit)
	persend 1;		# the number of packets per a send.

	# timer for waiting to complete each phase.
	phase1 30 sec;
	phase2 30 sec;
	
	# Auto exit delay timer - for use when controlled by VPN socket
	auto_exit_delay 3 sec;
}
